Index: src/mlx/gui/prefs.py
===================================================================
--- src/mlx/gui/prefs.py	(revision 392)
+++ src/mlx/gui/prefs.py	(revision 684)
@@ -243,4 +243,6 @@
         self._setSmoothing(self._vsSmoothingEnabled, self._vsSmoothingLength,
                            config.vsSmoothingLength)
+
+        self._useSimBrief.set_active(config.useSimBrief)
 
         pirepDirectory = config.pirepDirectory
@@ -291,4 +293,5 @@
         config.vsSmoothingLength = self._getSmoothing(self._vsSmoothingEnabled,
                                                        self._vsSmoothingLength)
+        config.useSimBrief = self._useSimBrief.get_active()
         config.pirepDirectory = text2unicode(self._pirepDirectory.get_text())
         config.pirepAutoSave = self._pirepAutoSave.get_active()
@@ -406,4 +409,9 @@
                                     xstr("prefs_vsSmoothingEnabledTooltip"))
         simulatorBox.pack_start(vsSmoothingBox, False, False, 4)
+
+        self._useSimBrief = gtk.CheckButton(xstr("prefs_useSimBrief"))
+        self._useSimBrief.set_use_underline(True)
+        self._useSimBrief.set_tooltip_text(xstr("prefs_useSimBrief_tooltip"))
+        mainBox.pack_start(self._useSimBrief, False, False, 0)
 
         pirepBox = gtk.HBox()
Index: src/mlx/update.py
===================================================================
--- src/mlx/update.py	(revision 672)
+++ src/mlx/update.py	(revision 681)
@@ -525,6 +525,4 @@
         return
 
-    print "update: result:", result
-
     (manifest, updateManifest, modifiedAndNew, removed) = result        
     localRemoved = getToremoveFiles(directory)
